#!/bin/sh
# refine.sh plik.pdb

export AMBERHOME=/users2/local/amber/amber14
export LD_LIBRARY_PATH=/users2/local/lib/intel/composer_xe_2015/intel64:${LD_LIBRARY_PATH}

rm -f tmp1.pdb
sed -e "/ HO2'/s//HO2' /" -e "/ENDMDL/d" -e "/TER/d" -e "/O5 /s//O5'/" -e "/O\([1-2]\) /s//OP\1/" $1 > tmp1.pdb
sed -e '/O2/d' -e '/OP2/d' tmp1.pdb >tmp2.pdb
mv tmp2.pdb tmp1.pdb
pwd
$AMBERHOME/bin/tleap -f ./leap.bat

./convpdb.pl -out generic_noh z_tleap.pdb > noh.pdb
pymol -cq ./dss.py | awk \
'{ires[NR]=$2;ss[NR]=$3}END{for (i=2;i<=NR;i++) {if (ss[i-1]!=ss[i]&&ss[i-1]=="L") printf "%s;",ires[i];if (ss[i-1]!=ss[i]&&ss[i]=="L") printf "%s;%s\n",ires[i-1],ss[i-1]}}' \
> zakresy.csv


./narzuc_RST.pl z_tleap.pdb

